package com.spider.auth.controller;

import com.spider.auth.service.AuthService;
import com.spider.common.domain.User;
import com.spider.common.domain.request.LoginReq;
import com.spider.common.domain.response.JwtResponse;
import com.spider.common.result.Result;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import javax.servlet.ServletRequest;
import javax.servlet.http.HttpServletRequest;

/**
 * 📝 TODO
 * 🕟 2024/1/19 9:55
 * 👦 Lxj
 */
@RestController
public class AuthController {

    private final AuthService authService;

    public AuthController(AuthService authService) {
        this.authService = authService;
    }


    /**
     * 鉴权登录
     * @param loginReq
     * @return
     */
    @PostMapping("/login")
    public Result<JwtResponse> login(@RequestBody LoginReq loginReq){
        return authService.login(loginReq);
    }

    /**
     * 获取用户信息
     * @return
     */
    @GetMapping("/info")
    public Result<String> info(){
        return authService.info();
    }
}
