package com.spider.common.domain;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.Size;
import javax.validation.constraints.NotNull;

import java.io.Serializable;

import java.util.Date;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.hibernate.validator.constraints.Length;

/**
*
* @TableName t_emp
*/
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class Emp implements Serializable {

    /**
    * 员工主键
    */
    @NotNull(message="[员工主键]不能为空")
    @ApiModelProperty("员工主键")
    private Integer empId;
    /**
    * 员工名称
    */
    @Size(max= 50,message="编码长度不能超过50")
    @ApiModelProperty("员工名称")
    @Length(max= 50,message="编码长度不能超过50")
    private String empName;
    /**
    * 员工密码
    */
    @Size(max= 20,message="编码长度不能超过20")
    @ApiModelProperty("员工密码")
    @Length(max= 20,message="编码长度不能超过20")
    private String empPwd;
    /**
    * 员工手机号
    */
    @Size(max= 50,message="编码长度不能超过50")
    @ApiModelProperty("员工手机号")
    @Length(max= 50,message="编码长度不能超过50")
    private String empMobile;
    /**
    * 入职时间
    */
    @ApiModelProperty("入职时间")
    private Date createTime;


}
