package com.spider.common.domain;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.Size;
import javax.validation.constraints.NotNull;

import java.io.Serializable;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.hibernate.validator.constraints.Length;
import org.springframework.format.annotation.DateTimeFormat;

/**
*
* @TableName t_record
*/
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class Record implements Serializable {

    /**
    * 记录Id
    */
//    @NotNull(message="[记录Id]不能为空")
    @ApiModelProperty("记录Id")
    private Integer recordId;
    /**
    * 车牌号
    */
    @Size(max= 40,message="编码长度不能超过40")
    @ApiModelProperty("车牌号")
    @Length(max= 40,message="编码长度不能超过40")
    private String carCard;
    /**
    * 车辆型号
    */
    @Size(max= 40,message="编码长度不能超过40")
    @ApiModelProperty("车辆型号")
    @Length(max= 40,message="编码长度不能超过40")
    private String carModel;
    /**
    * 进出时间
    */
    @ApiModelProperty("进出时间")
    @JsonFormat(pattern = "yyyy/MM/dd HH:ss:mm",timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy/MM/dd HH:ss:mm")
    private Date createTime;
    /**
    * 车主姓名
    */
    @Size(max= 40,message="编码长度不能超过40")
    @ApiModelProperty("车主姓名")
    @Length(max= 40,message="编码长度不能超过40")
    private String empName;
    /**
    * 车主手机号
    */
    @Size(max= 50,message="编码长度不能超过50")
    @ApiModelProperty("车主手机号")
    @Length(max= 50,message="编码长度不能超过50")
    private String empMobile;
    /**
    * 0:进 1:出
    */
    @ApiModelProperty("0:进 1:出")
    private Integer type;



}
