package com.spider.common.domain;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.Size;
import javax.validation.constraints.NotNull;

import java.io.Serializable;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.hibernate.validator.constraints.Length;

/**
*
* @TableName t_user
*/
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class User implements Serializable {

    /**
    * 用户Id
    */
    @NotNull(message="[用户Id]不能为空")
    @ApiModelProperty("用户Id")
    private Integer userId;
    /**
    * 用户名
    */
    @Size(max= 30,message="编码长度不能超过30")
    @ApiModelProperty("用户名")
    @Length(max= 30,message="编码长度不能超过30")
    private String userAccount;
    /**
    * 用户密码
    */
    @Size(max= 30,message="编码长度不能超过30")
    @ApiModelProperty("用户密码")
    @Length(max= 30,message="编码长度不能超过30")
    private String userPwd;



}
