package com.spider.system.service;

import com.spider.common.domain.Car;
import com.spider.common.domain.request.CarReq;
import com.spider.common.domain.response.CarRes;
import com.spider.common.domain.response.EchoCarRes;
import com.spider.common.result.Result;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.List;

/**
 * 📝 TODO
 * 🕟 2024/1/19 10:50
 * 👦 Lxj
 */
public interface CarService {

    /**
     * 获取车辆列表
     * @param carReq
     * @return
     */
    Result<List<CarRes>> getCarList(CarReq carReq);

    /**
     * 所选记录状态可以正确的更新为已失效
     * @param carIds
     * @return
     */
    Result<String> updCarState(String[] carIds);

    /**
     * 登记车辆
     * @param car
     * @return
     */
    Result<String> saveCar(Car car);

    /**
     * 查询车辆信息
     * @param carId
     * @return
     */
    Result<CarRes> getCarResByCarId(String carId);

    /**
     * 更新数据
     * @param car
     * @return
     */
    Result<String> renewal( Car car);

    /**
     * 获取车辆信息
     * @return
     */
    Result<EchoCarRes> getEchoCarResByCarId(String carId);
}
