package com.spider.system.service.impl;

import com.spider.common.domain.Record;
import com.spider.common.result.Result;
import com.spider.system.mapper.CarMapper;
import com.spider.system.mapper.RecordMapper;
import com.spider.system.service.RecordService;
import lombok.extern.log4j.Log4j2;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 📝 TODO
 * 🕟 2024/1/19 12:40
 * 👦 Lxj
 */
@Service
@Log4j2
public class RecordServiceImpl implements RecordService {
    private final RecordMapper recordMapper;

    public RecordServiceImpl(RecordMapper recordMapper) {
        this.recordMapper = recordMapper;
    }

    @Autowired
    private CarMapper carMapper;

    /**
     * 进出登记
     * @param record
     * @return
     */
    @Override
    public Result<String> entryExitReg(Record record) {

        int res = recordMapper.insertRecord(record);

        if(res < 1){
            return Result.error("记录异常,请稍后");
        }

        int updCarRes = carMapper
                .updCarCountAndLatelyTimeByCarCard(record.getCarCard());

        if (updCarRes > 1)
            log.info(record.getCarCard()+"记录成功");

        return Result.success();
    }

    /**
     * 获取记录列表
     * @return
     */
    @Override
    public Result<List<Record>> getRecordList() {

        return Result.success(recordMapper.selectRecord());
    }
}
