package com.spider.system.service.impl;

import com.spider.common.domain.User;
import com.spider.common.result.Result;
import com.spider.common.utils.StringUtils;
import com.spider.system.mapper.UserMapper;
import com.spider.system.service.UserService;
import org.springframework.stereotype.Service;

/**
 * 📝 TODO
 * 🕟 2024/1/19 9:45
 * 👦 Lxj
 */
@Service
public class UserServiceImpl implements UserService{

    private final UserMapper userMapper;


    public UserServiceImpl(UserMapper userMapper) {
        this.userMapper = userMapper;
    }


    /**
     * 获取用户信息
     * @param userAccount
     * @return
     */
    @Override
    public Result<User> getUserByAccount(String userAccount) {

        User user = userMapper.selectUserByAccount(userAccount);

        if(StringUtils.isNull(user)){
            return Result.error("获取失败");
        }

        return Result.success(user);
    }
}
